Skip to main content
`Ctrl`+`K`

# PetscDSGetFieldIndex

Returns the index of the given field

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSGetFieldIndex(PetscDS prob, PetscObject disc, PetscInt *f)

Not Collective

## Input Parameters

- prob - The `PetscDS` object

- disc - The discretization object

## Output Parameter

- f - The field number

## See Also

`PetscDS`, `PetscGetDiscretization()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages